Create Campaign with SMS Touchpoint
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"business_goal": "<string>",
"touchpoint": {
"name": "<string>",
"type": "<string>",
"status": "<string>",
"start_at": "<string>",
"assistant_id": 123,
"customer_details": [
{
"id": "<string>",
"to_number": "<string>"
}
],
"from_number": "<string>",
"sms_body": "<string>",
"additional_settings": {
"execution_days": [
"<string>"
],
"start_hour": 123,
"end_hour": 123,
"time_zone": "<string>",
"from_numbers": [
"<string>"
]
}
}
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint"
payload = {
"name": "<string>",
"type": "<string>",
"business_goal": "<string>",
"touchpoint": {
"name": "<string>",
"type": "<string>",
"status": "<string>",
"start_at": "<string>",
"assistant_id": 123,
"customer_details": [
{
"id": "<string>",
"to_number": "<string>"
}
],
"from_number": "<string>",
"sms_body": "<string>",
"additional_settings": {
"execution_days": ["<string>"],
"start_hour": 123,
"end_hour": 123,
"time_zone": "<string>",
"from_numbers": ["<string>"]
}
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
business_goal: '<string>',
touchpoint: {
name: '<string>',
type: '<string>',
status: '<string>',
start_at: '<string>',
assistant_id: 123,
customer_details: [{id: '<string>', to_number: '<string>'}],
from_number: '<string>',
sms_body: '<string>',
additional_settings: {
execution_days: ['<string>'],
start_hour: 123,
end_hour: 123,
time_zone: '<string>',
from_numbers: ['<string>']
}
}
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}Create-Campaign
Create Campaign with SMS Touchpoint
Create a new campaign with an SMS touchpoint.
POST
/
v2
/
_campaign
/
create_with_touchpoint
Create Campaign with SMS Touchpoint
Authorizations
Enter your ContactSwing JWT Bearer token.
Request Body
Campaign display name
Campaign type.
The business goal of the campaign.
The touchpoint object.
The name of the touchpoint.
The type of the touchpoint. e.g.
SMS.The status of the touchpoint. e.g.
scheduled.ISO 8601 scheduled date for the touchpoint.
The ID of the assistant to be used.
The number from which the SMS will be sent.
The body of the SMS.
Additional settings for the touchpoint.
Array of days when the campaign will be executed. e.g.
["mon", "tue"]The start hour for the campaign execution.
The end hour for the campaign execution.
The timezone for the campaign execution. e.g.
Asia/Kolkata.The numbers from which the SMS will be sent.
Response
201 Created - Campaign created successfullyRequest context ID
⌘I

